
<p align="center">
  <img src="https://img.shields.io/pypi/v/omniregress?color=blue" alt="PyPI version">
  <img src="https://img.shields.io/pypi/pyversions/omniregress.svg" alt="Python versions">
  <img src="https://img.shields.io/github/license/42Wor/OmniRegress?color=green" alt="License">
</p>

<h1 align="center">OmniRegress</h1>
<p align="center"><b>A comprehensive Python library for all types of regression analysis.</b></p>

<p align="center">
  <a href="https://pypi.org/project/omniregress/"><img src="https://img.shields.io/pypi/dm/omniregress?label=PyPI%20downloads" alt="PyPI downloads"></a>
  <a href="https://github.com/42Wor/OmniRegress/actions"><img src="https://github.com/42Wor/OmniRegress/workflows/CI/badge.svg" alt="Build Status"></a>
</p>
# Regression added in library

### 🔵 **Basic Regression Models**  
- [✅] **Linear Regression** - Models linear relationships.  ([Usage](docs/Usage/LinearRegression.md))
- [✅] **Polynomial Regression** - Fits nonlinear data with polynomial terms.  ([Usage](docs/Usage/PolynomialRegression.md))
- [ ] **Logistic Regression** - Binary classification (technically regression).  
- [ ] **Ridge Regression (L2)** - Prevents overfitting via L2 penalty.  
- [ ] **Lasso Regression (L1)** - Performs feature selection via L1 penalty.  
- [ ] **Elastic Net** - Combines L1 + L2 regularization.  

### 🟢 **Specialized Regression**  
- [ ] **Poisson Regression** - For count data (e.g., website visits).  
- [ ] **Cox Regression** - Survival/time-to-event analysis.  
- [ ] **Quantile Regression** - Predicts specific percentiles (e.g., median).  
- [ ] **Bayesian Regression** - Incorporates prior distributions.  

### 🟠 **Nonlinear & ML-Based**  
- [ ] **Support Vector Regression (SVR)** - Uses kernels for complex patterns.  
- [ ] **Decision Tree Regression** - Splits data into hierarchical rules.  
- [ ] **Random Forest Regression** - Ensemble of decision trees.  
- [ ] **Neural Network Regression** - Deep learning for high-dimensional data.  

### 🟣 **Other Advanced Types**  
- [ ] **Gaussian Process Regression** - Probabilistic nonlinear modeling.  
- [ ] **Negative Binomial Regression** - Overdispersed count data.  
- [ ] **Multinomial Logistic Regression** - Multi-class classification.  
